package com.foreverwin.mesnac.dispatch.model;


import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 *
 * ClassName: shopOrderRelease
 *
 * @author Leon
 *
 * Copyright (C) 2018-2019 上海昊声电子信息技术有限公司.
 *
 * All Rights Reserved
 *
 * http://www.foreverwin.com.cn
 *
 * Create Time: 2021/06/02
 */

public class ShopOrderRelease extends SfcDispatch {

    /**
     * 语言环境
     */
    private String locale;
    private String shopOrderBo;
    private String statusName;
    /**
     * 物料编号&描述
     */
    private String itemBo;
    private String item;
    private String itemDescription;
    private String qtyToBuild;
    private String status;
    private String isMajor;
    /**
     * 工单自定义字段-工单类型
     */
    private String shopOrderType;
    /**
     * 工单自定义字段-工单备注
     */
    private String comments;
    /**
     * 工单自定义字段-项目号
     */
    private String itemNumber;
    /**
     * 工单自定义字段-工作令号
     */
    private String workOrder;
    /**
     * 工单组件信息
     */
    private String component;
    private String componentDescription;
    private String operationDescription;
    private String isCompleted;
    private BigDecimal completedQty;

    private String resourceWorkCenter;
    private LocalDateTime dispatchCompleteDate;

    /**
     * 查询条件时间字符串
     */
    private String startFromDate_S;
    private String startToDate_S;
    private String completeFromDate_S;
    private String completeToDate_S;

    private Date startFromDate;
    private Date startToDate;
    private Date completeFromDate;
    private Date completeToDate;

    public String getLocale() {
        return locale;
    }

    public void setLocale(String locale) {
        this.locale = locale;
    }

    public String getShopOrderBo() {
        return shopOrderBo;
    }

    public void setShopOrderBo(String shopOrderBo) {
        this.shopOrderBo = shopOrderBo;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getItemBo() {
        return itemBo;
    }

    public void setItemBo(String itemBo) {
        this.itemBo = itemBo;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getQtyToBuild() {
        return qtyToBuild;
    }

    public void setQtyToBuild(String qtyToBuild) {
        this.qtyToBuild = qtyToBuild;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsMajor() {
        return isMajor;
    }

    public void setIsMajor(String isMajor) {
        this.isMajor = isMajor;
    }

    public String getShopOrderType() {
        return shopOrderType;
    }

    public void setShopOrderType(String shopOrderType) {
        this.shopOrderType = shopOrderType;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getComponentDescription() {
        return componentDescription;
    }

    public void setComponentDescription(String componentDescription) {
        this.componentDescription = componentDescription;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getIsCompleted() {
        return isCompleted;
    }

    public void setIsCompleted(String isCompleted) {
        this.isCompleted = isCompleted;
    }

    public BigDecimal getCompletedQty() {
        return completedQty;
    }

    public void setCompletedQty(BigDecimal completedQty) {
        this.completedQty = completedQty;
    }

    public String getResourceWorkCenter() {
        return resourceWorkCenter;
    }

    public void setResourceWorkCenter(String resourceWorkCenter) {
        this.resourceWorkCenter = resourceWorkCenter;
    }

    public LocalDateTime getDispatchCompleteDate() {
        return dispatchCompleteDate;
    }

    public void setDispatchCompleteDate(LocalDateTime dispatchCompleteDate) {
        this.dispatchCompleteDate = dispatchCompleteDate;
    }

    public String getStartFromDate_S() {
        return startFromDate_S;
    }

    public void setStartFromDate_S(String startFromDate_S) {
        this.startFromDate_S = startFromDate_S;
    }

    public String getStartToDate_S() {
        return startToDate_S;
    }

    public void setStartToDate_S(String startToDate_S) {
        this.startToDate_S = startToDate_S;
    }

    public String getCompleteFromDate_S() {
        return completeFromDate_S;
    }

    public void setCompleteFromDate_S(String completeFromDate_S) {
        this.completeFromDate_S = completeFromDate_S;
    }

    public String getCompleteToDate_S() {
        return completeToDate_S;
    }

    public void setCompleteToDate_S(String completeToDate_S) {
        this.completeToDate_S = completeToDate_S;
    }

    public Date getStartFromDate() {
        return startFromDate;
    }

    public void setStartFromDate(Date startFromDate) {
        this.startFromDate = startFromDate;
    }

    public Date getStartToDate() {
        return startToDate;
    }

    public void setStartToDate(Date startToDate) {
        this.startToDate = startToDate;
    }

    public Date getCompleteFromDate() {
        return completeFromDate;
    }

    public void setCompleteFromDate(Date completeFromDate) {
        this.completeFromDate = completeFromDate;
    }

    public Date getCompleteToDate() {
        return completeToDate;
    }

    public void setCompleteToDate(Date completeToDate) {
        this.completeToDate = completeToDate;
    }
}
